﻿using System.Text.RegularExpressions;

namespace TestProject
{
    /// <summary>
    /// 키워드
    /// </summary>
    public class Keyword
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 텍스트 - Text

        /// <summary>
        /// 텍스트
        /// </summary>
        public string Text { get; set; }

        #endregion
        #region 인덱스 - Index

        /// <summary>
        /// 인덱스
        /// </summary>
        public int Index { get; set; }

        #endregion
        #region 길이 - Length

        /// <summary>
        /// 길이
        /// </summary>
        public int Length { get; set; }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - Keyword(match)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="match">매치</param>
        public Keyword(Match match)
        {
            Text   = match.Value;
            Index  = match.Index + 1;
            Length = match.Length;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 문자열 구하기 - ToString()

        /// <summary>
        /// 문자열 구하기
        /// </summary>
        /// <returns>문자열</returns>
        public override string ToString()
        {
            return Text;
        }

        #endregion
    }
}