﻿using System.Collections.Generic;

namespace TestProject
{
    /// <summary>
    /// 키워드 비교자
    /// </summary>
    public class KeywordComparer : IComparer<Keyword>
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
 
        #region 비교하기 - Compare(k1, k2)
 
        /// <summary>
        /// 비교하기
        /// </summary>
        /// <param name="k1">키워드 1</param>
        /// <param name="k2">키워드 2</param>
        /// <returns>비교 결과</returns>
        public int Compare(Keyword k1, Keyword k2)
        {
            return k1.Text.CompareTo(k2.Text);
        }
 
        #endregion
    }
}